cereal::XMLOutputArchive::NodeInfo Struct Reference

A struct that contains metadata about a node. More...

`#include </build/libcereal-YYPPni/libcereal-1.2.1/include/cereal/archives/xml.hpp>`

## Public Member Functions

| NodeInfo (rapidxml::xml_node<> *n=nullptr, const char *nm=nullptr)
std::string | getValueName ()
| Gets the name for the next child node created from this node. More...

## Public Attributes

rapidxml::xml_node * | node
| A pointer to this node.
size_t | counter
| The counter for naming child nodes.
const char * | name
| The name for the next child node.

## Detailed Description

A struct that contains metadata about a node.

## Member Function Documentation

## getValueName()

std::string cereal::XMLOutputArchive::NodeInfo::getValueName | ( |  | ) |

inline

Gets the name for the next child node created from this node.

The name will be automatically generated using the counter if a name has not been previously set. If a name has been previously set, that name will be returned only once

The documentation for this struct was generated from the following file:

- include/cereal/archives/xml.hpp